Package Details: wxwidgets-gtk3-light 3.2.1-1

Git Clone URL: https://aur.archlinux.org/wxwidgets-light.git (read-only, click to copy)
Package Base: wxwidgets-light
Description: wxWidgets GTK3 Toolkit (GNOME/GStreamer free!)
Upstream URL: http://wxwidgets.org
Licenses: custom:wxWindows
Conflicts: wxgtk3, wxwidgets-gtk3
Provides: wxgtk3, wxwidgets, wxwidgets-gtk3
Replaces: wxgtk3, wxgtk3-light
Submitter: sl1pkn07
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 1
Popularity: 0.26
First Submitted: 2014-09-29 09:41 (UTC)
Last Updated: 2022-09-25 15:59 (UTC)

Required by (144)

Sources (2)

Latest Comments

1 2 Next › Last »

sl1pkn07 commented on 2022-09-25 15:15 (UTC)

try now

Tio commented on 2022-09-25 15:09 (UTC)

Fails to build https://builds.garudalinux.org/repos/chaotic-aur/logs/wxwidgets-light.log

CMake Error at build/cmake/toolkit.cmake:130 (find_package):
  By not providing "FindQt5.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "Qt5", but
  CMake did not find one.

  Could not find a package configuration file provided by "Qt5" with any of
  the following names:

    Qt5Config.cmake
    qt5-config.cmake

  Add the installation prefix of "Qt5" to CMAKE_PREFIX_PATH or set "Qt5_DIR"
  to a directory containing one of the above files.  If "Qt5" provides a
  separate development package or SDK, be sure it has been installed.
Call Stack (most recent call first):
  build/cmake/main.cmake:15 (include)
  CMakeLists.txt:100 (include)


-- Configuring incomplete, errors occurred!
See also "/home/main-builder/pkgwork/src/build-qt5/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build().
    Aborting...
Container pkg1a16675a8a4 failed with error code 4.

captaindirt1999 commented on 2022-09-24 18:20 (UTC)

Can confirm that Wired is correct. destdir.patch is not available.

Wired commented on 2022-09-12 22:44 (UTC)

https://raw.githubusercontent.com/archlinux/svntogit-packages/packages/wxwidgets/trunk/destdir.patch Does no longer exist and the package no longer works

cl0ne commented on 2022-07-16 23:58 (UTC)

https://raw.githubusercontent.com/archlinux/svntogit-packages/85aea9a691e4a725bfd9f38135d367a8237c7e04/wxgtk/trunk/wxgtk-abicheck.patch Last version of the missing file, I suppose it should be added to the package sources from now on.

Menelkir commented on 2022-07-15 21:16 (UTC)

Since the official packages was renamed, is there something that could be done to continue using this package?

demolg commented on 2020-09-15 13:58 (UTC)

error: failed to commit transaction (conflicting files) wxbase-light: /usr/lib/libwx_baseu-3.0.so exists in filesystem (owned by wxgtk-common) wxbase-light: /usr/lib/libwx_baseu-3.0.so.0 exists in filesystem (owned by wxgtk-common) wxbase-light: /usr/lib/libwx_baseu-3.0.so.0.5.0 exists in filesystem (owned by wxgtk-common) wxbase-light: /usr/lib/libwx_baseu_net-3.0.so exists in filesystem (owned by wxgtk-common) wxbase-light: /usr/lib/libwx_baseu_net-3.0.so.0 exists in filesystem (owned by wxgtk-common) wxbase-light: /usr/lib/libwx_baseu_net-3.0.so.0.5.0 exists in filesystem (owned by wxgtk-common) wxbase-light: /usr/lib/libwx_baseu_xml-3.0.so exists in filesystem (owned by wxgtk-common) wxbase-light: /usr/lib/libwx_baseu_xml-3.0.so.0 exists in filesystem (owned by wxgtk-common) wxbase-light: /usr/lib/libwx_baseu_xml-3.0.so.0.5.0 exists in filesystem (owned by wxgtk-common) Errors occurred, no packages were upgraded.

sl1pkn07 commented on 2016-12-21 13:19 (UTC)

No from my side. Sorry. (Of course patch are welcome)

DarkElf commented on 2016-12-21 10:12 (UTC)

{standard input}: Assembler messages: {standard input}:22620: Warning: end of file not at end of a line; newline inserted {standard input}:24414: Error: ARM register expected -- `cmp r' g++: internal compiler error: Ucciso (program cc1plus) Please submit a full bug report, with preprocessed source if appropriate. See <https://github.com/archlinuxarm/PKGBUILDs/issues> for instructions. make: *** [Makefile:40442: richtextdll_richtextbuffer.o] Error 4 make: *** Attesa per i processi non terminati.... any solution to this? (trying to build on RaspberryPi 2)